<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>DeploymentSummaryComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/deployment-summary/deployment-summary.component.ts</code>
</p>





<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>deployment-summary</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./deployment-summary.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./deployment-summary.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#isInModification">isInModification</a>
                            </li>
                            <li>
                                <a href="#isProdSiteVisible">isProdSiteVisible</a>
                            </li>
                            <li>
                                <a href="#isTestSiteVisible">isTestSiteVisible</a>
                            </li>
                            <li>
                                <a href="#modifyConfiguration">modifyConfiguration</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                            <li>
                                <a href="#operationStatus">operationStatus</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#isModifiable">isModifiable</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(operationService: <a href="../injectables/OperationService.html">OperationService</a>, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, dialogService: TdDialogService, translateService: TranslateService)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="43" class="link-to-prism">src/app/operation/deployment-summary/deployment-summary.component.ts:43</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationService.html" target="_self" >OperationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialogService</td>
                                                  
                                                        <td>
                                                                    <code>TdDialogService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operation"></a>
                        <code>operation</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/app/operation/deployment-summary/deployment-summary.component.ts:40</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operationStatus"></a>
                        <code>operationStatus</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../interfaces/OperationStatus.html" target="_self" >OperationStatus</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="43" class="link-to-prism">src/app/operation/deployment-summary/deployment-summary.component.ts:43</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isInModification"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            isInModification
                            </b>
                            <a href="#isInModification"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>isInModification()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="92" class="link-to-prism">src/app/operation/deployment-summary/deployment-summary.component.ts:92</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isProdSiteVisible"></a>
                        <span class="name">
                            <b>
                            isProdSiteVisible
                            </b>
                            <a href="#isProdSiteVisible"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isProdSiteVisible()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="57" class="link-to-prism">src/app/operation/deployment-summary/deployment-summary.component.ts:57</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isTestSiteVisible"></a>
                        <span class="name">
                            <b>
                            isTestSiteVisible
                            </b>
                            <a href="#isTestSiteVisible"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isTestSiteVisible()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="53" class="link-to-prism">src/app/operation/deployment-summary/deployment-summary.component.ts:53</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="modifyConfiguration"></a>
                        <span class="name">
                            <b>
                            modifyConfiguration
                            </b>
                            <a href="#modifyConfiguration"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>modifyConfiguration()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="66" class="link-to-prism">src/app/operation/deployment-summary/deployment-summary.component.ts:66</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>


    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isModifiable"></a>
                        <span class="name"><b>isModifiable</b><a href="#isModifiable"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isModifiable()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="61" class="link-to-prism">src/app/operation/deployment-summary/deployment-summary.component.ts:61</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input } from &#x27;@angular/core&#x27;;
import { Operation } from &#x27;../model/operation&#x27;;
import { DEPLOYED, OperationStatus } from &#x27;../model/operation-status&#x27;;
import { OperationService } from &#x27;../service/operation.service&#x27;;
import { OperationManagementService } from &#x27;../service/operation-managment.service&#x27;;
import { Router } from &#x27;@angular/router&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { TdDialogService } from &#x27;@covalent/core&#x27;;
import { flatMap } from &#x27;rxjs/operators&#x27;;

@Component({
  selector: &#x27;deployment-summary&#x27;,
  templateUrl: &#x27;./deployment-summary.component.html&#x27;,
  styleUrls: [&#x27;./deployment-summary.component.scss&#x27;]
})
export class DeploymentSummaryComponent {

  @Input()
  operation: Operation;

  @Input()
  operationStatus: OperationStatus;

  constructor(private operationService: OperationService,
              private operationManagementService: OperationManagementService,
              private router: Router,
              private dialogService: TdDialogService,
              private translateService: TranslateService) {
  }


  isTestSiteVisible() {
    return this.operationStatus.configurationStatus.state !&#x3D;&#x3D; DEPLOYED || this.isInModification();
  }

  isProdSiteVisible() {
    return this.operationStatus.configurationStatus.state &#x3D;&#x3D;&#x3D; DEPLOYED || this.isInModification();
  }

  get isModifiable() {
    return this.operationStatus.configurationStatus.modificationMode &#x3D;&#x3D; &quot;FULLY_MODIFIABLE&quot; ||
           this.operationStatus.configurationStatus.modificationMode &#x3D;&#x3D; &quot;PARTIALLY_MODIFIABLE&quot;;
  }

  modifyConfiguration() {
    this.dialogService.openConfirm({
      message: this.translateService.instant(
        this.operationStatus.configurationStatus.modificationMode &#x3D;&#x3D; &#x27;IN_PARTIAL_MODIFICATION&#x27; ?
          &#x27;deployment-summary.actions.modify.confirm.partial-modification&#x27; :
          &#x27;deployment-summary.actions.modify.confirm.full-modification&#x27;
      ),

      disableClose: true,
      cancelButton: this.translateService.instant(&#x27;global.actions.no&#x27;),
      acceptButton: this.translateService.instant(&#x27;global.actions.yes&#x27;),
    }).afterClosed().subscribe((accept: boolean) &#x3D;&gt; {
      if (accept) {
        this.operationService.modifyConfiguration(this.operation.id)
          .pipe(
            flatMap(() &#x3D;&gt; this.operationManagementService.shouldUpdateStatus(false))
          )
          .subscribe(() &#x3D;&gt; {
            this.router.navigate([&quot;operations&quot;, this.operation.id, &quot;parameters&quot;]);
          });
      }
    });


  }

  private isInModification() {
    return this.operationStatus.configurationStatus.modificationMode &#x3D;&#x3D; &#x27;IN_PARTIAL_MODIFICATION&#x27; ||
           this.operationStatus.configurationStatus.modificationMode &#x3D;&#x3D; &#x27;IN_FULL_MODIFICATION&#x27;;
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--
  ~ #%L
  ~ frontend
  ~ %%
  ~ Copyright (C) 2016 - 2018 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.
  ~ #L%
  --&gt;

&lt;div&gt;

  &lt;div fxLayout fxLayoutGap&#x3D;&quot;1.5rem&quot;&gt;
    &lt;production-summary *ngIf&#x3D;&quot;isProdSiteVisible()&quot; [operationStatus]&#x3D;&quot;operationStatus&quot; [operation]&#x3D;&quot;operation&quot;
                        fxFlex&#x3D;&quot;grow&quot;&gt;&lt;/production-summary&gt;

    &lt;mat-card *ngIf&#x3D;&quot;!isProdSiteVisible() || !isTestSiteVisible()&quot; fxFlex&#x3D;&quot;grow&quot; style&#x3D;&quot;box-shadow: none;&quot;&gt;
    &lt;/mat-card&gt;

    &lt;test-summary *ngIf&#x3D;&quot;isTestSiteVisible()&quot; [operationStatus]&#x3D;&quot;operationStatus&quot; [operation]&#x3D;&quot;operation&quot;
                  fxFlex&#x3D;&quot;grow&quot; &gt;
    &lt;/test-summary&gt;
  &lt;/div&gt;

  &lt;div fxLayout fxLayoutAlign&#x3D;&quot;end&quot;&gt;

    &lt;button mat-raised-button color&#x3D;&quot;warn&quot; *ngIf&#x3D;&quot;isModifiable&quot; id&#x3D;&quot;modifyButton&quot; (click)&#x3D;&quot;modifyConfiguration()&quot;&gt;
      {{&#x27;deployment-summary.actions.modify.button&#x27; | translate | uppercase}}
    &lt;/button&gt;

  &lt;/div&gt;
&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./deployment-summary.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.site-card {

  border-radius: 1rem;

  .mat-card-header {
    min-height: 2.5rem;
    border-radius: 1rem 1rem 0 0;
  }

  .site-name {
    font-size: 1.5rem !important;
    font-weight: bold !important;
    padding: 1rem 1rem 0;
  }

  .site-info {
    margin-top: 0.5rem !important;
    font-size: 1.4rem;
  }

  mat-icon.site-error {
    font-size: 3rem;
  }

  .site-info.italic {
    font-style: italic;
  }
}


voting-material-creation-progress {
  opacity: 1;
  transition: all 0.3s;
  z-index: 1;
  position: relative;
}

voting-material-creation-progress.faded {
  opacity: 0;
  overflow: hidden;
  position: absolute;
  height: 0;
  width: 0;
}

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--  ~ #%L  ~ frontend  ~ %%  ~ Copyright (C) 2016 - 2018 République et Canton de Genève  ~ %%  ~ This program is free software: you can redistribute it and/or modify  ~ it under the terms of the GNU Affero General Public License as published by  ~ the Free Software Foundation, either version 3 of the License, or  ~ (at your option) any later version.  ~  ~ This program is distributed in the hope that it will be useful,  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the  ~ GNU General Public License for more details.  ~  ~ You should have received a copy of the GNU Affero General Public License  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.  ~ #L%  --><div>  <div fxLayout fxLayoutGap="1.5rem">    <production-summary *ngIf="isProdSiteVisible()" [operationStatus]="operationStatus" [operation]="operation"                        fxFlex="grow"></production-summary>    <mat-card *ngIf="!isProdSiteVisible() || !isTestSiteVisible()" fxFlex="grow" style="box-shadow: none;">    </mat-card>    <test-summary *ngIf="isTestSiteVisible()" [operationStatus]="operationStatus" [operation]="operation"                  fxFlex="grow" >    </test-summary>  </div>  <div fxLayout fxLayoutAlign="end">    <button mat-raised-button color="warn" *ngIf="isModifiable" id="modifyButton" (click)="modifyConfiguration()">      {{\'deployment-summary.actions.modify.button\' | translate | uppercase}}    </button>  </div></div></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'DeploymentSummaryComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'DeploymentSummaryComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
